Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Business Rules Java API Reference 10g Release 3 (10.1.3) B19040-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.rules.sdk.editor.datamodel
Class InitValue

`java.lang.Object
java.util.AbstractMap
java.util.HashMap
oracle.rules.sdk.editor.datamodel.ModelComponent
oracle.rules.sdk.editor.datamodel.InitValue`

All Implemented Interfaces:
  java.lang.Cloneable, java.util.Map, java.io.Serializable

public class InitValue
extends ModelComponent

InitValue used in several places in datamodel: global var's value, RL Class property default value, Java class static field value. We only support two types of InitValue: Constant and Advanced.

See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `PROP_ADVANCED_EXPRESSION`

Fields inherited from class oracle.rules.sdk.editor.datamodel.ModelComponent
`m_dm, m_parent, PROP_ALIAS, PROP_ID, PROP_NAME, PROP_PROPERTIES, PROP_VISIBLE`

Method Summary
`AdvancedExpression` | `getAdvancedExpression()` Get the advanced expression.
`java.lang.String` | `getValue()` Get the string value of the InitValue object
`void` | `setLiteralValue(java.lang.String val)` Set the value of the expression.
`void` | `validate()` Validate the expression contained in the initial value.

Methods inherited from class oracle.rules.sdk.editor.datamodel.ModelComponent
`get, getAlias, getDataModel, getID, getName, getParent, getProperties, getVisible, setAlias, setName, setVisible`

Methods inherited from class java.util.HashMap
`clear, clone, containsKey, containsValue, entrySet, isEmpty, keySet, put, putAll, remove, size, values`

Methods inherited from class java.util.AbstractMap
`equals, hashCode, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.Map
`equals, hashCode`

Field Detail

### PROP_ADVANCED_EXPRESSION

    public static final java.lang.String PROP_ADVANCED_EXPRESSION

  See Also:
    Constant Field Values

Method Detail

### getValue

    public java.lang.String getValue()

  Get the string value of the InitValue object
  Returns:
    the literal value if it is LITERAL form, or advanced expression string if it is ADVANCED form.

### setLiteralValue

    public void setLiteralValue(java.lang.String val)

  Set the value of the expression. This is a convenience method that saves a String value into the underlying AdvancedExpression. The exact equivalent of getAdvancedExpression().setValue(val)
  Parameters:
    `val` - the value to be set to the expression

### validate

    public void validate()
                  throws RulesSDKDMValidationException

  Validate the expression contained in the initial value. Calls the underlying validate for the contained expression (from the editor.ruleset package).
  Overrides:
    `validate` in class `ModelComponent`
  Throws:
    `RulesSDKDMValidationException`

### getAdvancedExpression

    public AdvancedExpression getAdvancedExpression()

  Get the advanced expression. Only applicable if the Form value is ADVANCED
  Returns:
    the advanced expression

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Business Rules Java API Reference 10g Release 3 (10.1.3) B19040-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006, Oracle. All rights reserved.